Vla-put-texteditor

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-put-texteditor vla-object editor )


機能
MTEXT[マルチ テキスト]コマンドのテキスト エディタ名を指定する。


引数
  • vla-object … PreferencesFiles のVLAオブジェクト
  • editor … マルチライン テキスト エディタ名。


戻り値
nil


サンプル
(vl-load-com)
(defun c:Example_TextEditor()
    ;; TextEditor設定を変更するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; 現在の TextEditor 値
    (setq currTextEditor (vla-get-TextEditor (vla-get-Files preferences)))
    (alert (strcat "現在の TextEditor は " currTextEditor))
    
    ;; TextEditor を変更
    (setq newTextEditor "TestTextEditor")
    (vla-put-TextEditor (vla-get-Files preferences) newTextEditor)
    (alert (strcat "新しい TextEditor は " newTextEditor))
    
    ;; 戻す
    (vla-put-TextEditor (vla-get-Files preferences) currTextEditor)
    (alert (strcat "TextEditor 値を戻しました " currTextEditor))
)


関連事項